PaidGoods
API referenceAffiliates

Affiliate programme stats (last 30 days)

GET
/v1/stores/{storeId}/affiliates/overview

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/affiliates/overview"
{  "windowDays": -9007199254740991,  "currency": "string",  "totalAffiliates": -9007199254740991,  "commissions": [    {      "currency": "string",      "amountMinor": -9007199254740991    }  ],  "commissionsPrevious": [    {      "currency": "string",      "amountMinor": -9007199254740991    }  ],  "commissionsAllTime": [    {      "currency": "string",      "amountMinor": -9007199254740991    }  ],  "revenue": [    {      "currency": "string",      "amountMinor": -9007199254740991    }  ],  "revenuePrevious": [    {      "currency": "string",      "amountMinor": -9007199254740991    }  ],  "referredOrders": -9007199254740991,  "averageCommissionRate": 0,  "topEarnerMinor": -9007199254740991,  "clicks": -9007199254740991,  "previousClicks": -9007199254740991,  "conversionRate": 0,  "segments": {    "all": -9007199254740991,    "active": -9007199254740991,    "inactive": -9007199254740991,    "new": -9007199254740991,    "suspended": -9007199254740991,    "applied": -9007199254740991  },  "pendingPayouts": -9007199254740991,  "leaderboard": [    {      "affiliateId": "db499c7c-f1f8-4bce-9ff0-10cc890eeda0",      "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",      "email": "string",      "code": "string",      "referrals": -9007199254740991,      "earnedMinor": -9007199254740991,      "currency": "string"    }  ]}